# StepFEA_EnumeratedDegreeOfFreedom.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | StepFEA_EnumeratedDegreeOfFreedom { StepFEA_XTranslation, StepFEA_YTranslation, StepFEA_ZTranslation, StepFEA_XRotation, StepFEA_YRotation, StepFEA_ZRotation, StepFEA_Warp }

## Enumeration Type Documentation

enum StepFEA_EnumeratedDegreeOfFreedom

Enumeration values:

  StepFEA_XTranslation |
  StepFEA_YTranslation |
  StepFEA_ZTranslation |
  StepFEA_XRotation |
  StepFEA_YRotation |
  StepFEA_ZRotation |
  StepFEA_Warp |